> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar chats Telegram

> Lista conversas que interagiram com seu bot ou conta.



## OpenAPI

````yaml /telegram-api/api-reference/openapi-telegram.json get /v1/telegram/chats
openapi: 3.0.3
info:
  title: Notifique API — Telegram
  description: >-
    Envie mensagens Telegram e gerencie conexões. Autentique com `Authorization:
    Bearer sk_live_...` ou `x-api-key`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Produção
security:
  - ntfTgBearerAuth: []
  - ntfTgApiKeyHeader: []
tags:
  - name: Mensagens
    description: Enviar e gerenciar mensagens
  - name: Instâncias
    description: Criar e conectar bots ou contas USER
  - name: Chats
    description: Listar chats
paths:
  /v1/telegram/chats:
    get:
      tags:
        - Mensagens
      summary: Listar chats Telegram
      description: Lista conversas que interagiram com seu bot ou conta.
      operationId: ntfTg_getV1TelegramChats
      parameters:
        - name: page
          in: query
          description: Página.
          schema:
            type: string
        - name: limit
          in: query
          description: Itens por página.
          schema:
            type: string
        - name: q
          in: query
          description: Busca em `chatId` (substring) ou `username` (case-insensitive).
          schema:
            type: string
        - name: instanceId
          in: query
          description: Filtrar por instância Telegram.
          schema:
            type: string
        - name: status
          in: query
          description: Filtrar por status (`active`, `left`, `kicked`, …).
          schema:
            type: string
      responses:
        '200':
          description: >-
            Lista em `data` (`id`, `instanceId`, `chatId`, `username`, `status`,
            `startPayload`, `createdAt`, `updatedAt`) e `pagination`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfTg_ChatSubscriptionListEnvelope'
              example:
                success: true
                data:
                  - id: chat_abc
                    title: Cliente
                    type: private
                meta:
                  page: 1
                  limit: 20
                  total: 1
        '401':
          description: Chave ausente ou inválida.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfTg_ErrorResponse'
        '402':
          description: Workspace suspenso ou plano expirado.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfTg_ErrorResponse'
        '403':
          description: Sem escopo ou `instanceId` não permitido para esta chave.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfTg_ErrorResponse'
components:
  schemas:
    NtfTg_ChatSubscriptionListEnvelope:
      type: object
      required:
        - success
        - data
        - pagination
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            $ref: '#/components/schemas/NtfTg_ChatSubscriptionRow'
        pagination:
          $ref: '#/components/schemas/NtfTg_Pagination'
    NtfTg_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
          description: 'Rótulo HTTP do erro (ex.: Unauthorized, Bad Request, Not Found).'
        message:
          type: string
          description: >-
            Mensagem legível para exibir ao usuário (localizada via
            Accept-Language / x-locale quando aplicável).
        code:
          type: string
          description: >-
            Código estável da API v1 (enum). Sempre presente em erros. Use com o
            status HTTP para decidir retry ou correção. Ver [Respostas de
            erro](/guides/conceitos/resposta-de-erros).
        details:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              message:
                type: string
      required:
        - success
        - error
        - message
        - code
    NtfTg_ChatSubscriptionRow:
      type: object
      properties:
        id:
          type: string
        instanceId:
          type: string
        chatId:
          type: string
        username:
          type: string
          nullable: true
        status:
          type: string
        startPayload:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    NtfTg_Pagination:
      type: object
      properties:
        total:
          type: integer
        page:
          type: integer
        limit:
          type: integer
        totalPages:
          type: integer
  securitySchemes:
    ntfTgBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_live_xxxxx'
    ntfTgApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````